features:
  secondary:
    - name: "Auto DevOps does not run unless Dockerfile or matching buildpack exists"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/topics/autodevops/#enabled-by-default'
      reporter: danielgruesso
      stage: configure
      categories:
        - 'Auto DevOps'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/26655'
      description: |
        Auto DevOps is a great way to get started with modern DevOps practices for any
        project. However, until now, Auto DevOps needed to run a CI pipeline to
        determine compatibility with a project by checking if an existing Dockerfile or
        a matching buildpack exists for the project.

        In an effort to make it more efficient and taking advantage of the new
        [`workflow:rules`](https://docs.gitlab.com/ee/ci/yaml/README.html#workflowrules)
        feature in GitLab CI, Auto DevOps will only run if the project contains a
        Dockerfile or if a matching buildpack exists for the project's language.
